Skip to main content

Update Appointment: Funnel

PUThttps://api.propexo.com/crm/v1/appointments/funnel/:appointment_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

appointment_id stringrequired

The Propexo unique identifier for the event

Request​

This endpoint expects an object.

    statusstringrequired

    The status associated with the event

    Show 2 enum values
    NO_SHOWCOMPLETE

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    appointment_idstringrequired

    The Propexo unique identifier for the event

    statusstringrequired

    The status associated with the event

    Show 2 enum values
    NO_SHOWCOMPLETE

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /crm/v1/appointments/funnel/:appointment_id
curl -X PUT https://api.propexo.com/crm/v1/appointments/funnel/:appointment_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"status": "NO_SHOW"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"appointment_id": "string",
"status": "NO_SHOW"
}
}